<template>
	<section class="flex flex-col min-h-screen">
		<OHeader :links="links" />
		<NuxtPage />
		<OFooter
			:columnOneLinks="columnOneLinks"
			:columnTwoLinks="columnTwoLinks"
		/>
	</section>
</template>

<script>
import OHeader from '@/components/Organisms/OHeader.vue'
import OFooter from '@/components/Organisms/OFooter.vue'

export default {
	name: 'DefaultLayout', // Treated as "templates"
	components: {
		OHeader,
		OFooter,
	},
	data: () => {
		return {
			links: [{ name: 'Header link 1', url: '#' }],
			columnOneLinks: [
				{ name: 'Footer column 1', url: '#' },
				{ name: 'Footer column 1', url: '#' },
			],
			columnTwoLinks: [
				{ name: 'Footer column 2', url: '#' },
				{ name: 'Footer column 2', url: '#' },
			],
		}
	},
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>
